com.threerings.whirled.client.persist

## Interface SceneRepository

    public interface SceneRepository

The scene repository provides access to a persistent repository of scene information.

See Also:
  `SceneModel`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `deleteSceneModel(int sceneId)` Deletes the specified scene model from the repository.
`SceneModel` `loadSceneModel(int sceneId)` Fetches the model for the scene with the specified id.
`void` `storeSceneModel(SceneModel model)` Updates or inserts this scene model as appropriate.

### Method Detail

#### loadSceneModel

    SceneModel loadSceneModel(int sceneId)
                       throws IOException,
                              NoSuchSceneException

Fetches the model for the scene with the specified id.

Throws:
  `IOException` - thrown if an error occurs attempting to load the scene data.
  `NoSuchSceneException` - thrown if no scene exists with the specified scene id.

#### storeSceneModel

    void storeSceneModel(SceneModel model)
                  throws IOException

Updates or inserts this scene model as appropriate.

Throws:
  `IOException` - thrown if an error occurs attempting to access the repository.

#### deleteSceneModel

    void deleteSceneModel(int sceneId)
                   throws IOException

Deletes the specified scene model from the repository.

Throws:
  `IOException` - thrown if an error occurs attempting to access the repository.